import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class ImageWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class ImageWorld extends World
{

    /**
     * Constructor for objects of class ImageWorld.
     * 
     */
    private PolygonImage polyImage_;

    public ImageWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1);
        addObject((polyImage_=new PolygonImage(600,300)),300,250);
        GreenfootImage gi_Image=new GreenfootImage("Save Image",30,Color.black,Color.gray);
        {
            GreenfootImage gi_=new GreenfootImage(gi_Image.getWidth()+6,gi_Image.getHeight()+2);
            gi_.drawImage(gi_Image,3,0);
            gi_.setColor(Color.white);
            gi_.fillRect(0,0,gi_.getWidth(),3);
            gi_.fillRect(0,0,3,gi_.getHeight());
            gi_.fillRect(gi_.getWidth()-3,0,3,gi_.getHeight());
            gi_.fillRect(0,gi_.getHeight()-3,gi_.getWidth(),3);
            gi_Image=gi_;
        }
        Button b_=new Button(Button.createButtonImages(gi_Image));
        addObject(b_,getWidth()/2,50);
        b_.addExplanation("Saves the current 'polygon-image'","in a file with the name \"PolygonImage.png\".","You will find the file in the 'images'-folder of this project!","P.s.: This project must be dowloaded first!");
        b_.addListener(
            new Button.ButtonListener()
            {
                public void clicked(Button button_)
                {
                    String str_Name="PolygonImage";
                    boolean b_SearchName=true;
                    try
                    {
                        new GreenfootImage(str_Name+".png");
                    }
                    catch(Exception e)
                    {
                        b_SearchName=false;
                    }
                    for(int i=1;b_SearchName;i++)
                    {
                        try
                        {
                            new GreenfootImage(str_Name+i+".png");
                        }
                        catch(Exception e)
                        {
                            str_Name+=i;
                            b_SearchName=false;
                        }
                    }
                    SaveImage.save(polyImage_.getImage(),"images\\"+str_Name,"png");
                }

                public void dragged(Button button_)
                {}

                public void movedOver(Button button_)
                {}

                public void notOver(Button button_)
                {}
            });
    }
}
