import java.awt.image.BufferedImage;
import java.io.File;
import javax.imageio.ImageIO;
/**
 * This class can save objects of the class GreenfootImage or BufferedImage in a file
 * 
 * @author (Busch2207 Moritz L.) 
 * @version (10.10.2013)
 */
public class SaveImage
{
    public static void save(greenfoot.GreenfootImage gi_Image,String str_Path,String str_Type)
    {
        save(gi_Image.getAwtImage(),str_Path,str_Type);
    }

    public static void save(BufferedImage bi_Image,String str_Path,String str_Type)
    {
        try {
            File File_Output = new File(str_Path.endsWith("."+str_Type)?str_Path:str_Path+"."+str_Type); // Creates a file with the pathname
            ImageIO.write(bi_Image,str_Type, File_Output); // Now the image is written in the file
        }
        catch(Exception e) // in case of an error, it will be catched.
        {
            e.printStackTrace(); // print out the error
        }
    }
}